#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EFriendRelationship {
    None = 0,
    Blocked = 1,
    RequestRecipient = 2,
    Friend = 3,
    RequestInitiator = 4,
    Ignored = 5,
    IgnoredFriend = 6,
    SuggestedFriend = 7,
}

impl EFriendRelationship {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Blocked as i32 => Some(Self::Blocked),
            x if x == Self::RequestRecipient as i32 => Some(Self::RequestRecipient),
            x if x == Self::Friend as i32 => Some(Self::Friend),
            x if x == Self::RequestInitiator as i32 => Some(Self::RequestInitiator),
            x if x == Self::Ignored as i32 => Some(Self::Ignored),
            x if x == Self::IgnoredFriend as i32 => Some(Self::IgnoredFriend),
            x if x == Self::SuggestedFriend as i32 => Some(Self::SuggestedFriend),
            _ => None,
        }
    }
}
